%define api_ver 0.9

Name:           clutter-gtkmm
Version:        0.9.4
Release:        3%{?dist}

Summary:        C++ wrapper for clutter-gtk library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/clutter-gtkmm/0.9/%{name}-%{version}.tar.bz2
# build against clutter-gtk 0.10
Patch0:         clutter-gtkmm-0.9.4-clutter-gtk-0.10.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: clutter-gtk-devel >= 0.10
BuildRequires: cluttermm-devel >= 0.9
BuildRequires: gtkmm24-devel
BuildRequires: doxygen graphviz


%description
clutter-gtkmm is a C++ wrapper library for clutter-gtk: a library that
allows clutter to be embedded in GTK applications. Clutter is an
OpenGL-based library for creating fast, visually rich and animated
graphical user interfaces.


%package        devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       clutter-gtk-devel
Requires:       cluttermm-devel
Requires:       gtkmm24-devel
Requires:       pkgconfig


%description devel
This package contains the static libraries and header files needed for
developing %{name} applications.


%prep
%setup -q
%patch0 -p1 -b .cluttergtk010
# fix configure to avoid having to autoreconf
sed -i -e 's/clutter-gtk-0\.9 >= 0\.9\.1/clutter-gtk-0.10 >= 0.10.2/g' configure


%build
%configure --enable-shared --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
# Package examples in documentation
mkdir -p docs-to-include/examples
mv docs/reference/html docs-to-include/
cp examples/events/*.cc docs-to-include/examples/
cp examples/events/*.h docs-to-include/examples/
# Remove files related to code generation
rm -rf $RPM_BUILD_ROOT%{_libdir}/clutter-gtkmm-%{api_ver}
rm -rf $RPM_BUILD_ROOT%{_libdir}/cluttermm-%{api_ver}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libclutter-gtkmm-%{api_ver}.so.*


%files devel
%defattr(-, root, root, -)
%doc docs-to-include/*
%{_includedir}/clutter-gtkmm-%{api_ver}
%{_libdir}/libclutter-gtkmm-%{api_ver}.so
%{_libdir}/pkgconfig/%{name}-%{api_ver}.pc


%changelog
* Thu Oct  1 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.9.4-3
- Backport build fixes for clutter-gtk 0.10 from upstream trunk

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul  8 2009 Denis Leroy <denis@poolshark.org> - 0.9.4-1
- Update to upstream 0.9.4
- API update to 0.9

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Denis Leroy <denis@poolshark.org> - 0.7.4-1
- Update to upstream 0.7.4

* Sun Sep  7 2008 Denis Leroy <denis@poolshark.org> - 0.7.2-1
- Initial version
